# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/hwmon/apm,xgene-slimpro-hwmon.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: APM X-Gene SLIMpro hwmon

maintainers:
  - Khuong Dinh <khuong@os.amperecomputing.com>

properties:
  compatible:
    const: apm,xgene-slimpro-hwmon

  mboxes:
    maxItems: 1

required:
  - compatible
  - mboxes

additionalProperties: false

examples:
  - |
    hwmon {
        compatible = "apm,xgene-slimpro-hwmon";
        mboxes = <&mailbox 7>;
    };
